import request from '@/utils/request'

// 查询企业朋友圈 发送到客户朋友里 成功的客户数据列表
export function listFriendCustomerList(query) {
  return request({
    url: '/qw/friendCustomerList/list',
    method: 'get',
    params: query
  })
}

// 查询企业朋友圈 发送到客户朋友里 成功的客户数据详细
export function getFriendCustomerList(id) {
  return request({
    url: '/qw/friendCustomerList/' + id,
    method: 'get'
  })
}

// 新增企业朋友圈 发送到客户朋友里 成功的客户数据
export function addFriendCustomerList(data) {
  return request({
    url: '/qw/friendCustomerList',
    method: 'post',
    data: data
  })
}

// 修改企业朋友圈 发送到客户朋友里 成功的客户数据
export function updateFriendCustomerList(data) {
  return request({
    url: '/qw/friendCustomerList',
    method: 'put',
    data: data
  })
}

// 删除企业朋友圈 发送到客户朋友里 成功的客户数据
export function delFriendCustomerList(id) {
  return request({
    url: '/qw/friendCustomerList/' + id,
    method: 'delete'
  })
}

// 导出企业朋友圈 发送到客户朋友里 成功的客户数据
export function exportFriendCustomerList(query) {
  return request({
    url: '/qw/friendCustomerList/export',
    method: 'get',
    params: query
  })
}